/* mount.h
 * Copyright (C) 2007-2012 Linutop SAS <http://www.linutop.com/>
 * This file is part of the linutop config editor
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the license.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __MOUNT_H__
#define __MOUNT_H__

#include <stdio.h>
#include <gtk/gtk.h>

#include "main.h"

#define SPACE 2

typedef struct _main_gui {
    GtkWidget *dialog;
    GtkListStore *store;
    GtkWidget *treeview;

    GtkWidget *add_btn;
    GtkWidget *edit_btn;
    GtkWidget *rm_btn;

    GtkWidget *host_entry;
    GtkWidget *dir_entry;
    GtkWidget *mpoint_entry;
    GtkWidget *user_entry;
    GtkWidget *passwd_entry;

    int items_nb;
} main_gui;

typedef struct _mount {
    gchar *host;
    gchar *dir;
    gchar *mpoint;
    gchar *user;
    gchar *passwd;
} mount;

enum {
    S_TYPE_HOST = 0,
    S_TYPE_DIR,
    S_TYPE_MPOINT,
    S_TYPE_USER,
    S_TYPE_PASSWD
};

const gchar *columns[5] = {
    N_("Host"), N_("Directory"),
    N_("Mount Point"),
    N_("User"), N_("Password")
};

/* globals */
main_gui *mgui;
const gchar *conffile;

#endif /* __MOUNT_H__ */
