#!/bin/sh

XORGCONF=/cdrom/etc/xorg.conf
ACT=get
[ "$1" = "set" ] && ACT=set

case $ACT in
set)
    MODELINE=$(gtf $2 $3 $4 | grep Modeline)
    MODE=$(echo $MODELINE | cut -d'"' -f2)

    [ -f $XORGCONF ] && cp $XORGCONF $XORGCONF.bak

    cat > $XORGCONF << EOF
# DO NOT modify the following line
# lconfeditor
Section "Monitor"
  Identifier "monitor1"
  Option "DPMS"
  $MODELINE
EndSection

Section "Screen"
  Identifier "screen1"
  Monitor "monitor1"
  SubSection "Display"
    Depth 24
    Modes "$MODE"
  EndSubSection
EndSection
EOF

    exit 0
    ;;

get)
    # No custom xorg.conf
    [ ! -e $XORGCONF ] && return 1

    # xorg.conf but not generated by us
    grep -q '^# lconfeditor' $XORGCONF || return 2

    MODE=$(grep Modes $XORGCONF | cut -d'"' -f2)
    SIZE=$(echo $MODE | cut -d_ -f1)
    WIDTH=$(echo $SIZE | cut -dx -f1)
    HEIGHT=$(echo $SIZE | cut -dx -f2)
    FREQ=$(echo $MODE | cut -d_ -f2)

    echo $WIDTH $HEIGHT $FREQ
    return 0
    ;;
*)
    # we shouldn't get here
    exit 12;;
esac

exit 0
